/**
    autorg_kek_glue.h

	Copyright (c) 2016, Masatsuyo Takahashi, KEK-PF
 */
#pragma once

#if defined(AUTORG_KEK_GLUE_EXPORTS)
# define AUTORG_KEK_GLUE_API __declspec(dllexport)
#else
# define AUTORG_KEK_GLUE_API __declspec(dllimport)
#endif

extern "C" AUTORG_KEK_GLUE_API int Autorg_Initialize( const char* autorg_lib_dir );
/**
	autorg_lib_dir:	
		Path to the Python application library.
		Python doesn't know know the location of application libraries.
		So, you have to tell in advance to import application modules.

	return value:
		0 : success
		1 : failure
 */

extern "C" AUTORG_KEK_GLUE_API int Autorg_Execute( const char* data_file, const char* result_file, const int ATSAS=0, const int robust=0 );
/**
	data_file:
		Path to the input data file.

	result_file:
		Path to the output result file.

	ATSAS:
		Implies the output file format as follows.
			0 : KEK output (default)
			1 : ATSAS like output

	robust:
		Implies the bad data handling mode as follows.
			0 : return as failure and leave an empty result file.
			1 : try to make a non-empty result file and return as success.

	return value:
		Return the state of execution result as follows. 
			0 : success
			1 : failure
 */

extern "C" AUTORG_KEK_GLUE_API int Autorg_Finalize();

/**
	return value:
		This is always 0.
 */